# Paessler PRTG Data Hub certificate store

These directories store the certificates and private keys used for
Paessler PRTG Data Hub.

## Layout

```text
${certificate-store-root}
+-- README.md
+-- own/
    |-- certs/
    +-- private/
```

- Certificates are to be stored in `./own/certs/`
  - PEM and DER encoding is supported
- Private keys are to be stored in `./own/private/`
  - Private keys of certificates must be named the same as their counter part in
    `./own/certs` but with a `.key` extension
  - PEM and DER encoding is supported

## Permissions

By default the whole certificate store can be read by all users. An exception
is the `./own/private/` directory that can only be read by users in the
`paessler_datahub` group and written with elevated rights.

## Installing

### Certificates

To install a new certificate copy your certificate to the `./own/certs/`
directory.

### Private keys

To install a new certificate copy your certificate to the `./own/private/`
directory.

It is best practice to secure the private key with restrictive permissions to
prevent unauthorized users from reading them. We recommend to install private
keys with Linux' `install` utility:

```sh
install \
    --owner=paessler_datahub \
    --group=paessler_datahub \
    --mode=400 \
    ${private-key} \
    /etc/paessler/datahub/certificate-store/own/private/
```
